# React Peg &middot; [![Build Status](https://travis-ci.org/mistlog/react-peg.svg?branch=master)](https://travis-ci.org/mistlog/react-peg) [![Coverage Status](https://coveralls.io/repos/github/mistlog/react-peg/badge.svg)](https://coveralls.io/github/mistlog/react-peg)

React Peg is a react style parser generator based on PEG.js.

* Type Checking: With typescript & jsx support, you don't need to play with grammar as string any more.

* Rule-Based: Build encapsulated rules and compose them to make complex grammar, and you can reuse them just like UI components.

* Easy to Debug & Unit Test: Since rule is written in JavaScript instead of string, you can easily debug & test grammar and parser.

## Playground

https://mistlog.github.io/react-peg-playground/

## Documentation

You can find the React Peg documentation [on the website](https://mistlog.github.io/react-peg/).

Check out the [Getting Started](https://mistlog.github.io/react-peg/docs/getting-started) page for a quick overview.

The documentation is divided into several sections:

* [Installation](https://mistlog.github.io/react-peg/docs/getting-started)
* [Main Concepts](https://mistlog.github.io/react-peg/docs/rule)
* [Examples](https://mistlog.github.io/react-peg/docs/calculator)

## License

React Peg is [MIT licensed](https://github.com/mistlog/react-peg/blob/master/LICENSE).